--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Discard the current row (if any) and read the next one (returning true), or return nil if there is no further row.
full_name: DataObjects::Reader#next!
is_singleton: false
name: next!
params: ()
visibility: public
